Cisco Enterprise Network Functions Virtualization Infrastructure Software Vulnerability [CVE-2019-12623]

CVE number – CVE-2019-12623

A vulnerability in the web server functionality of Cisco Enterprise Network Functions Virtualization Infrastructure Software (NFVIS) could allow an authenticated, remote attacker to perform file enumeration on an affected system.

The vulnerability is due to the web server responding with different error codes for existing and non-existing files. An attacker could exploit this vulnerability by sending GET requests for different file names. A successful exploit could allow the attacker to enumerate files residing on the system.

Cisco will release software updates that address this vulnerability. There are no workarounds that address this vulnerability.

Vulnerable Products

At the initial time of publication, this vulnerability affected Cisco Enterprise Network Compute Systems that were running NFVIS releases earlier than Release 3.12.1.

The fix has been found to be incomplete in NFVIS releases 3.12.1 and 3.12.2. NFVIS releases 4.1 and later will contain the complete fix.

Fixed Releases

At the initial time of publication, Cisco Enterprise NFVIS releases 3.12.1 and later contained the fix for this vulnerability.

The fix has been found to be incomplete in NFVIS releases 3.12.1 and 3.12.2. NFVIS releases 4.1 and later will contain the complete fix.

Workarounds

There are no workarounds that address this vulnerability.

This advisory is available at the following link:
https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-20190821-nfv-enumeration


Duncan Newell

Duncan is a technology professional with over 20 years experience of working in various IT roles. He has a interest in cyber security, and has a wide range of other skills in radio, electronics and telecommunications.

Leave a Reply

This site uses Akismet to reduce spam. Learn how your comment data is processed.

%d bloggers like this: